Bug 3484 - Break down fee display by types on checkout tab
Summary: Break down fee display by types on checkout tab
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-03 11:50 UTC by Jane Wagner
Modified: 2019-03-15 07:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Fee breakdown screenshot (11.73 KB, image/jpeg)
2009-08-03 11:50 UTC, Chris Cormack
Details
screenshot (18.85 KB, image/png)
2011-03-19 09:24 UTC, Katrin Fischer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:14 UTC


---- Reported by jwagner@ptfs.com 2009-08-03 11:50:09 ----

Created an attachment
Fee breakdown screenshot

Sponsored by Middletown Township Public Library, Middletown, NJ, USA.

Enhancement to break down outstanding fees by type in display on checkout tab.  Use of display to be controlled by a syspref.



---- Additional Comments From jwagner@ptfs.com 2010-05-12 12:39:31 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3484





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3484 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3484
Imported an attachment (id=1347)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
The original submitter of attachment 1347 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-12-31 15:38:22 UTC
I've cherry-picked these changes into a branch,
ip-bug-3484-fee-breakdown-2010-12-31, in my development repo at
http://gitorious.org/koha-dev/koha-dev.

The only problem I see with it is that it doesn't include an update to the database to properly handle the addition of a new preference, CircFinesBreakdown
Comment 2 Owen Leonard 2011-01-07 15:38:36 UTC
I've pushed an update to my repo which includes updates to the database for the new system preference. This is now ready for some real testing.
Comment 3 Chris Cormack 2011-01-09 20:10:13 UTC
Pushed for testing to

new/awaiting_qa/enh/bug_3484 please test and sign off
Comment 5 Katrin Fischer 2011-03-19 09:24:18 UTC
Created attachment 3358 [details]
screenshot

I18N problem: Patches are hardcoding $ into the templates. 

+                        <!-- TMPL_IF NAME="lost_fines_total" --><li><span class="circ-hlt">Replacement fees:</span> $<!-- T...
+                        <!-- TMPL_IF NAME="overdue_fines_total" --><li><span class="circ-hlt">Overdue fines:</span> $<!-- T...
+                        <!-- TMPL_IF NAME="reserve_fees_total" --><li><span class="circ-hlt">Hold fees:</span> $<!-- TMPL_V...
+                        <!-- TMPL_IF NAME="other_fees_total" --><li><span class="circ-hlt">Other fees:</span> $<!-- TMPL_VA...
Comment 6 Jared Camins-Esakov 2013-01-02 02:00:24 UTC
New patches using Template::Toolkit are needed. Resetting to ASSIGNED.
Comment 7 Marc Véron 2015-12-20 15:57:26 UTC
Still valid?
Comment 8 Katrin Fischer 2015-12-20 20:42:06 UTC
It might be nice to have this as an option - we only list the totals currently.
Comment 9 Katrin Fischer 2019-03-15 07:30:15 UTC
I still like the idea of this.